Subject: Re: bug#61006: 29.0.60; Wrong indentation in go-ts-mode

From: Randy Taylor <[email-masked]>
Date: Thu, 26 Jan 2023 02:41:33 +0000

On Wednesday, January 25th, 2023 at 05:13, [email-masked] <[email-masked]> wrote:
> 
> В Ср, 25/01/2023 в 16:54 +0700, [email-masked] пишет:
> 
> > В Ср, 25/01/2023 в 02:35 +0000, Randy Taylor пишет:
> > 
> > > On Sunday, January 22nd, 2023 at 05:00,
> > > [email-masked] [email-masked] wrote:
> > > 
> > > > There is also other issue - sometimes go-ts-mode syntax
> > > > highliting
> > > > breaks when I actively use it with `lsp-mode`- refactorings, auto
> > > > formatting etc. But I can't reproduce it with`eglot`.
> > > 
> > > Seems like an `lsp-mode` problem then? I only use `eglot` and
> > > haven't
> > > noticed anything amiss.
> > 
> > I have reproduced this issue with eglot. But I can't share my working
> > code screenshots and can't provide easy way to reproduce. Not sure
> > how
> > can I help to localize the problem then. This issue is not related to
> > indentation.
> 
> 
> Screenshot attached.
> --
> Best Regards,
> Sergey Kostyaev

Thanks. Can you please open a new bug for this? Please also see if you can reproduce it with emacs -Q. We can continue the discussion in the new bug.